<!--
  Generated template for the ActivitylogPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-content padding class="wrap-all">
	<div class="back-icon-container">
      <button class="back-icon" (click)="backButton()"></button>
  	</div>
  	<div class="all-content-container">
		<div class="title-outer-container">
			<div class="log-icon"></div>
			<p class="title">Activity Log</p>
			<button class="filter-log" (click)="openFilterOptions()"></button>
		</div>
		<div class="activity-log-list">
			<div *ngFor="let activityLog of loggingActivity | reversethelistorder: filterOptions" class="task-activity-log-item-container">
				<ion-item class="task-activity-log-item" *ngIf="totalOfActivityLog > 0">
					<ion-icon name="stats" class="task-activity-log-icon" *ngIf="activityLog.activityType == 'TaskPollLog'" item-start></ion-icon>
					<ion-icon name="move" class="task-activity-log-icon" *ngIf="activityLog.activityType == 'MoveTaskLog'" item-start></ion-icon>
					<ion-icon name="time" class="task-activity-log-icon" *ngIf="activityLog.activityType == 'TaskDueDateLog'" item-start></ion-icon>
					<ion-icon name="people" class="task-activity-log-icon" *ngIf="activityLog.activityType == 'TaskAssignMemberLog'" item-start></ion-icon>
					<ion-icon name="pricetag" class="task-activity-log-icon" *ngIf="activityLog.activityType == 'TaskPriorityLog'" item-start></ion-icon>
					<ion-icon name="create" class="task-activity-log-icon" *ngIf="activityLog.activityType == 'TaskRenameLog'" item-start></ion-icon>
					<ion-icon name="list-box" class="task-activity-log-icon" *ngIf="activityLog.activityType == 'SubtaskLog'" item-start></ion-icon>
					<ion-label class="task-activity-log-label"><span class="task-activity-log-label-admin" *ngIf="activityLog.handlerIsAdmin">Admin</span>&nbsp;<span class="task-activity-log-label-handler">{{ activityLog.handler | gethandlername: userList }}</span>&nbsp;{{ activityLog.logActivity }}</ion-label>
					<ion-label class="task-activity-log-date" item-end>{{ activityLog.dateNTimeHandled | date: "d MMMM yyyy At h:mm a" }}</ion-label>
				</ion-item>
			</div>
		</div>
		<div class="footer-border"></div>
  	</div>
  	<ion-item [hidden]="hideComponent">
		<ion-label>Filter Type</ion-label>
		<ion-select #activityLogType [(ngModel)]="filterOptions.filterValue" (ionChange)="changeFilterType()">
			<ion-option value="TaskDueDateLog">Due Date Log</ion-option>
			<ion-option value="TaskAssignMemberLog">Assign Member Log</ion-option>
			<ion-option value="TaskPriorityLog">Priority Log</ion-option>
			<ion-option value="TaskPollLog">Poll Log</ion-option>
			<ion-option value="SubtaskLog">Sub-Task Log</ion-option>
			<ion-option value="MoveTaskLog">Task Moved Log</ion-option>
			<ion-option value="TaskRenameLog">Task Renamed Log</ion-option>
		</ion-select>
	</ion-item>
	<ion-item [hidden]="hideComponent">
		<ion-datetime picker #filterDateSelection text-center [(ngModel)]="filterOptions.filterValue" [max]="maxFilterDate" title="Filtered Date" [onlyValid]="{'before': maxFilterDate, 'inclusive': true}" date="{{hideComponent}}" (ionChange)="setFilterDate()" (click)="updateFilterMaxDate()"></ion-datetime>
	</ion-item>
</ion-content>
